qcad 3 and Fedora 17 64 bit

Post your question about installing or upgrading QCAD version 3

Moderator: andrew

qcad 3 and Fedora 17 64 bit

Postby stkeesee » Sat Jul 21, 2012 10:05 pm

Has anyone masnaged to get qcad 3 and Fedora 17 64 bit to work togather? I know I'm missing some libraries, but not sure what packages I need to install to get them. Information on Google is outdated, and the package lists I have been able to find don't work.
stkeesee
Registered Member
 
Posts: 2
Joined: Sat Jul 21, 2012 9:54 pm

Re: qcad 3 and Fedora 17 64 bit

Postby fog » Tue Jul 24, 2012 8:04 pm

I have had some luck after about an hour of trying different things.
Running Fedora 17 64-bit Scientific, Linux version 3.4.6-2.fc17.x86_64

Here is what I did:

0. download qcad 3.0 linux installer (or the tarball, either one works)

1. set qcad-3.0.0-prof-linux-x86.bin to be executable and run it:
$ chmod +x qcad-3.0.0-prof-linux-x86.bin
$ ./qcad-3.0.0-prof-linux-x86.bin

2. go to install directory:
$ cd ~/opt/qcad-3.0.0-prof-linux/

3. attempt to run qcad binary:
$ ./qcad
./qcad-bin: error while loading shared libraries: libGLU.so.1: cannot open shared object file: No such file or directory
etc. etc. etc. This is where I spent an hour looking everything up.

4. install 32-bit libraries as necessary and cycle back to step 3:
# yum install mesa-libGLU.i686
# yum install libXrender.i686
# yum install glib2-2.32.4-1.fc17.i686
# yum install libSM-1.2.1-1.fc17.i686
# yum install qtwebkit-2.2.2-1.fc17.i686
# yum install glibc-devel-2.15-51.fc17.i686
this last one is especially important

5. attempt to run qcad binary again:
$ ./qcad
and now it works like a champ, and my old qcad 2.2.0 works now as well.

hope this is useful for other fedora folk
fog
Registered Member
 
Posts: 1
Joined: Tue Jul 24, 2012 7:38 pm

Re: qcad 3 and Fedora 17 64 bit

Postby stkeesee » Thu Jul 26, 2012 4:48 pm

Will try that later today. Thanks for the help

Steve
stkeesee
Registered Member
 
Posts: 2
Joined: Sat Jul 21, 2012 9:54 pm

Re: qcad 3 and Fedora 17 64 bit

Postby srl » Sat Feb 09, 2013 8:31 am

Just used the yum installs on Fedora 18 64 bit and now Qcad 3 works fine.
I did not use the version numbers just the .i686

yum install mesa-libGLU.i686
yum install libXrender.i686
yum install glib2.i686
yum install libSM.i686
yum install qtwebkit.i686
yum install glibc-devel.i686

srl
User avatar
srl
Active Member
 
Posts: 38
Joined: Tue Aug 09, 2011 4:40 am


Return to QCAD 3 Installation and Upgrades

Who is online

Users browsing this forum: No registered users and 1 guest

cron